Bug 205156 - xenguest-install doesn't properly interpret memory values
xenguest-install doesn't properly interpret memory values
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-04 23:06 EDT by duryee
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 00:49:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description duryee 2006-09-04 23:06:14 EDT
Description of problem: When you run xenguest-install, if you put "256" for
guest memory instead of "256M", you get this cryptic message:

ERROR: Initial guest OS requires too much space
(0x14MB is greater than 0MB limit)


Version-Release number of selected component (if applicable): FC6 with xen 3.0.2


How reproducible: every time


Steps to Reproduce:
1. login as root
2. run xenguest-install
3. put "256" as the amount of guest memory instead of "256M"
  
Actual results:

cryptic error


Expected results:

xenguest-install should be able to handle the input


Additional info:
Comment 1 Jeremy Katz 2006-09-06 00:49:55 EDT
Fixed in new python-xeninst -- you can work around by passing -r 256 (or
whatever) on the command-line

Note You need to log in before you can comment on or make changes to this bug.